# std::fgetwc

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cwchar>` |  |
wint_t fgetwc( std::FILE* stream ); |  |
wint_t getwc( std::FILE* stream ); |  |

Reads the next wide character from the given input stream. getwc() may be implemented as a macro and may evaluate `stream` more than once.

### Parameters

stream | - | to read the wide character from

### Return value

The next wide character from the stream or WEOF if an error has occurred or the end of file has been reached. If an encoding error occurred, errno is set to `EILSEQ`.

### See also

fgetc getc | gets a character from a file stream (function)
fgetws | gets a wide string from a file stream (function)
fputwc putwc | writes a wide character to a file stream (function)
ungetwc | puts a wide character back into a file stream (function)
C documentation for fgetwc

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/c/fgetwc&oldid=67589"